www/ap2-auth-mellon - The NetBSD Packages Collection

SAML 2.0 authentication for Apache

mod_auth_mellon is a authentication module for apache. It authenticates
the user against a SAML 2.0 IdP, and and grants access to directories
depending on attributes received from the IdP.

Build dependencies

pkgtools/cwrappers devel/glib2-tools devel/libtool-base lang/perl5 devel/pkgconf

Runtime dependencies

www/apache24 security/lasso www/curl www/apache24 security/lasso security/lasso www/curl

Available binary packages

aarch64:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
aarch64:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
aarch64:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 9.0)
alpha:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 9.0)
alpha:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
earmv6hf:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 9.0)
earmv6hf:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
earmv6hf:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
earmv6hf:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 9.0)
earmv7hf:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 8.0)
earmv7hf:ap24-auth-mellon-0.14.2nb6.tgz(NetBSD 8.0)
earmv7hf:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 8.0)
earmv7hf:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 9.0)
earmv7hf:ap24-auth-mellon-0.14.2nb6.tgz(NetBSD 9.0)
earmv7hf:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
earmv7hf:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
earmv7hf:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 9.0)
i386:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 8.0)
i386:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 8.0)
i386:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 8.0)
i386:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
i386:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
i386:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 9.0)
mips64eb:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
powerpc:ap24-auth-mellon-0.14.2nb6.tgz(NetBSD 8.0)
powerpc:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 8.0)
powerpc:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 8.0)
powerpc:ap24-auth-mellon-0.14.2nb6.tgz(NetBSD 8.0)
powerpc:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 8.0)
powerpc:ap24-auth-mellon-0.14.2nb6.tgz(NetBSD 8.0)
powerpc:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 8.0)
powerpc:ap24-auth-mellon-0.14.2nb6.tgz(NetBSD 9.0)
powerpc:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
powerpc:ap24-auth-mellon-0.14.2nb6.tgz(NetBSD 9.0)
powerpc:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
powerpc:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 9.0)
powerpc:ap24-auth-mellon-0.14.2nb6.tgz(NetBSD 9.0)
powerpc:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
sparc64:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 9.0)
sparc64:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
x86_64:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 9.0)
x86_64:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 9.0)
x86_64:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 9.0)
x86_64:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
x86_64:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 8.0)
x86_64:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 8.0)
x86_64:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 8.0)
x86_64:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
x86_64:ap24-auth-mellon-0.14.2nb9.tgz(NetBSD 9.0)
x86_64:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 9.0)
x86_64:ap24-auth-mellon-0.14.2nb10.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]